ServerEvents.recipes(event => {

event.shaped(
  Item.of('croptopia:mountain_salt', 1), // arg 1: output
  [
    'ACA',
    'ABA', // arg 2: the shape (array of strings)
    'ACA'
  ],
  {
    A: 'croptopia:salt',
    B: 'silentgems:chaos_essence',
    C: 'minecraft:nether_star'
}  //arg 3: the mapping object  
)

event.shaped(
  Item.of('minecraft:mud', 8), // arg 1: output
  [
    'AAA',
    'ABA', // arg 2: the shape (array of strings)
    'AAA'
  ],
  {
    A: 'minecraft:dirt',
    B: 'silentgems:chaos_essence'
}  //arg 3: the mapping object  
)
 console.log('Hello! The custom recipes event has fired!')
})